package ${basePackage}.${moduleName}.req;

import ${basePackage}.frame.base.BaseUpdateRequest;
import javax.validation.constraints.NotNull;

/**
 * ${table.getCName()}DeleteRequest - ${table.tableComment}删除
 *
 * @author ${author?default("")}
 * @version 0.0.1
 * @since ${date?string("yyyy-MM-dd")}
 */
public class ${table.getCName()}DeleteRequest extends BaseUpdateRequest {
<#if module.isHasSysFields()>

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空")
    private long id;

    public long getId() {
        return this.id;
    }

    public void setId(long id) {
        this.id = id;
    }
<#else>
    <#list table.fields as field>

    /**
     * ${field.fieldComment?default("")}
     */
        <#if field.fieldType.javaType() == "Enum">
    private ${field.getCName()} ${field.getFName()};
        <#else >
    private ${field.fieldType.javaType()} ${field.getFName()};
        </#if>
    </#list>
    <#list table.fields as field>
    <#if !field.isSystem>
    <#if field.fieldType.javaType() == "Enum">

    public ${field.getCName()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.getCName()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
    <#else>

    public ${field.fieldType.javaType()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.fieldType.javaType()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
    </#if>
    </#if>
    </#list>
</#if>
}
