package ${basePackage}.${moduleName}.req;

import ${basePackage}.frame.base.BaseFindRequest;
<#if table.has('Date')>
import java.util.Date;
</#if>
<#list table.fields as field>
<#if field.fieldType.javaType() == "Enum">
import ${basePackage}.${moduleName}.enums.${field.getCName()};
</#if>
</#list>

/**
 * ${table.getCName()}Request -  ${table.tableComment}查询
 *
 * @author ${author?default("")}
 * @version 0.0.1
 * @since ${date?string("yyyy-MM-dd")}
 */
public class ${table.getCName()}FindRequest extends BaseFindRequest {

<#list table.fields as field>
<#if field.isQuery>
<#if field.fieldType.javaType() == "Enum">
    /**
     * ${field.fieldComment?default("")}
     */
    private ${field.getCName()} ${field.getFName()};
<#else>
    /**
     * ${field.fieldComment?default("")}
     */
    private ${field.fieldType.javaType()} ${field.getFName()};
</#if>

</#if>
</#list>
<#list table.fields as field>
<#if field.isQuery>
<#if field.fieldType.javaType() == "Enum">

    public ${field.getCName()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.getCName()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
<#else>

    public ${field.fieldType.javaType()} ${field.getterName()}() {
        return this.${field.getFName()};
    }

    public void ${field.setterName()}(${field.fieldType.javaType()} ${field.getFName()}) {
        this.${field.getFName()} = ${field.getFName()};
    }
</#if>
</#if>
</#list>
}
